uniform vec2 shipPos;
uniform sampler2D texture;

void main()
{
	vec4 pixel = texture2D(texture, gl_TexCoord[0].xy);
	float newAlpha = (length(gl_FragCoord.xy - shipPos) - 30.0) / 60.0;
	gl_FragColor = vec4(pixel.r, pixel.g, pixel.b, min(newAlpha, pixel.a));
}
